org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class UnionTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.UnionTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.UnionTest.Traversals

- Enclosing class:
    UnionTest

      public static class UnionTest.Traversals
      extends UnionTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.UnionTest

      `UnionTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX_groupCount()`
    `Traversal<Vertex,String>` | `get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX()`
    `Traversal<Vertex,String>` | `get_g_V_unionXout__inX_name()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_unionXrepeatXunionXoutXcreatedX__inXcreatedXX_timesX2X__repeatXunionXinXcreatedX__outXcreatedXX_timesX2XX_label_groupCount()`
    `Traversal<Vertex,Number>` | `get_g_VX1_2X_localXunionXcountXX(Object v1Id, Object v2Id)`
    `Traversal<Vertex,Number>` | `get_g_VX1_2X_localXunionXoutE_count__inE_count__outE_weight_sumXX(Object v1Id, Object v2Id)`
    `Traversal<Vertex,Number>` | `get_g_VX1_2X_unionXoutE_count__inE_count__outE_weight_sumX(Object v1Id, Object v2Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_unionXrepeatXoutX_timesX2X__outX_name(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.UnionTest

      `g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX_groupCount, g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX, g_V_unionXout__inX_name, g_V_unionXrepeatXunionXoutXcreatedX__inXcreatedXX_timesX2X__repeatXunionXinXcreatedX__outXcreatedXX_timesX2XX_label_groupCount, g_VX1_2X_localXunionXcountXX, g_VX1_2X_localXunionXoutE_count__inE_count__outE_weight_sumXX, g_VX1_2X_unionXoutE_count__inE_count__outE_weight_sumX, g_VX1X_unionXrepeatXoutX_timesX2X__outX_name`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_unionXout__inX_name

          public Traversal<Vertex,String> get_g_V_unionXout__inX_name()

      Specified by:
        `get_g_V_unionXout__inX_name` in class `UnionTest`

    - #### get_g_VX1X_unionXrepeatXoutX_timesX2X__outX_name

          public Traversal<Vertex,String> get_g_VX1X_unionXrepeatXoutX_timesX2X__outX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_unionXrepeatXoutX_timesX2X__outX_name` in class `UnionTest`

    - #### get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX

          public Traversal<Vertex,String> get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX()

      Specified by:
        `get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX` in class `UnionTest`

    - #### get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX_groupCount

          public Traversal<Vertex,Map<String,Long>> get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX_groupCount()

      Specified by:
        `get_g_V_chooseXlabel_is_person__unionX__out_lang__out_nameX__in_labelX_groupCount` in class `UnionTest`

    - #### get_g_V_unionXrepeatXunionXoutXcreatedX__inXcreatedXX_timesX2X__repeatXunionXinXcreatedX__outXcreatedXX_timesX2XX_label_groupCount

          public Traversal<Vertex,Map<String,Long>> get_g_V_unionXrepeatXunionXoutXcreatedX__inXcreatedXX_timesX2X__repeatXunionXinXcreatedX__outXcreatedXX_timesX2XX_label_groupCount()

      Specified by:
        `get_g_V_unionXrepeatXunionXoutXcreatedX__inXcreatedXX_timesX2X__repeatXunionXinXcreatedX__outXcreatedXX_timesX2XX_label_groupCount` in class `UnionTest`

    - #### get_g_VX1_2X_unionXoutE_count__inE_count__outE_weight_sumX

          public Traversal<Vertex,Number> get_g_VX1_2X_unionXoutE_count__inE_count__outE_weight_sumX(Object v1Id,
                                                                                                     Object v2Id)

      Specified by:
        `get_g_VX1_2X_unionXoutE_count__inE_count__outE_weight_sumX` in class `UnionTest`

    - #### get_g_VX1_2X_localXunionXoutE_count__inE_count__outE_weight_sumXX

          public Traversal<Vertex,Number> get_g_VX1_2X_localXunionXoutE_count__inE_count__outE_weight_sumXX(Object v1Id,
                                                                                                            Object v2Id)

      Specified by:
        `get_g_VX1_2X_localXunionXoutE_count__inE_count__outE_weight_sumXX` in class `UnionTest`

    - #### get_g_VX1_2X_localXunionXcountXX

          public Traversal<Vertex,Number> get_g_VX1_2X_localXunionXcountXX(Object v1Id,
                                                                           Object v2Id)

      Specified by:
        `get_g_VX1_2X_localXunionXcountXX` in class `UnionTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.